package test.jist;

import jist.runtime.JistAPI;

class Hello implements JistAPI.Entity {
  
  public static void main(String[] args) {
    System.out.println("simulation start");
    Hello h = new Hello();
    h.myEvent();
  }

  public void myEvent() {
    JistAPI.sleep(1);
    myEvent();
    System.out.println("hello world, t=" + JistAPI.getTime());
  }
}